<?php

require_once realpath(dirname(__FILE__)) . '/../common.php';


$objTestRoomPlayer = new RoomPlayer();

$name = 'aben';
$objTestRoomPlayer->getSetRoomId($name);
$roomid = $objTestRoomPlayer->getRoomId($name);

if (!$roomid) {
    Eos::log('getRoomId faild');
}


$roomIds = $objTestRoomPlayer->getAllRoomId();
Eos::log('getAllRoomId：');
var_dump($roomIds);

$objTestRoomPlayer->refresh();

//$objTestRoomPlayer->getSetRoomId('player2');
//$objTestRoomPlayer->getSetRoomId('player3');
//$objTestRoomPlayer->getSetRoomId('player4');
//$objTestRoomPlayer->getSetRoomId('player5');
//$objTestRoomPlayer->getSetRoomId('player6');
$players = $objTestRoomPlayer->getPlayers($roomid);
var_dump($players);